#ifndef INCLUDED_snow_types_AssetType
#define INCLUDED_snow_types_AssetType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,AssetType)
namespace snow{
namespace types{


class AssetType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef AssetType_obj OBJ_;

	public:
		AssetType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.AssetType"); }
		::String __ToString() const { return HX_CSTRING("AssetType.") + tag; }

		static ::snow::types::AssetType audio;
		static inline ::snow::types::AssetType audio_dyn() { return audio; }
		static ::snow::types::AssetType bytes;
		static inline ::snow::types::AssetType bytes_dyn() { return bytes; }
		static ::snow::types::AssetType image;
		static inline ::snow::types::AssetType image_dyn() { return image; }
		static ::snow::types::AssetType text;
		static inline ::snow::types::AssetType text_dyn() { return text; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_AssetType */ 
